﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class ParamsForm : Form
    {
        public ParamsForm()
        {
            InitializeComponent();
        }

        private void ok_button__Click(object sender, EventArgs e)
        {
            characters_enabled_ = characters_checkbox_.Checked;
            max_length_ = 0;

            if (length_checkbox_.Checked)
            {
                if (!uint.TryParse(length_textbox_.Text, out max_length_) || max_length_ < 2)
                {
                    MessageBox.Show(this, "Podaj prawidłową maksymalną długość.", "Błąd", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                    return;
                }
            }

            DialogResult = System.Windows.Forms.DialogResult.OK;
        }

        public bool characters_enabled_;
        public uint max_length_; // 0 if not used.

        private void length_checkbox__CheckedChanged(object sender, EventArgs e)
        {
            length_textbox_.Enabled = length_checkbox_.Checked;
        }
    }
}
